Bug 192859 - Unable to set default application for audio/mpegurl files (*.m3u)
Unable to set default application for audio/mpegurl files (*.m3u)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 13:12 EDT by Edward Rudd
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.16.2-5.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 14:28:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2006-05-23 13:12:08 EDT
Description of problem:
when I try to change the default application for *.m3u files, nautilus ends up
trying to edit the text/plain mime type instead.

Version-Release number of selected component (if applicable):
2.14.1-1.fc5.1

How reproducible:
Every time.

Steps to Reproduce:
1. I have an m3u file in a directory (note the lovely music icon)
2. right click on the m3u files (note that the icon changes to a text preview)
3. choose properties
4. choose the "open with" tab.
5. note that only text editors are available and the text description says I'm
editing default application "text documents" instead of "MP3 audio (streaming)"

Additional info:
it seems as though nautilus is picking up the mime-magic information and
overriding the mime information for the m3u files.
Also when double clicking the m3u files it refuses to load it with a BIG error
dialog stating that it can not open the file as the filename says it's "MP3
Audio (streaming)" but the file contents say it is "text document"

Reason for needing to changes this is I wanted firefox to open m3u files with
xmms instead of totem.
Comment 1 Edward Rudd 2007-01-19 14:28:01 EST
I can no longer re-create this with FC6 nautilus (2.16.2)

Note You need to log in before you can comment on or make changes to this bug.